title: A look at your [[this]]
transient_title: Here''s an overview of your [[this]]
description: A look at [[GenericTable]] across your [[this]], and how it changes over time.
applies_to: GenericTable.*
metrics:
- Sum: [sum, [dimension, GenericNumber]]
- Avg: [avg, [dimension, GenericNumber]]
- Count: [count]
- Distinct: [distinct, [dimension, this]]
dimensions:
  - GenericNumber: GenericTable.Number
  - GenericCategoryMedium:
      field_type: GenericTable.Category
      max_cardinality: 12
      score: 90
# bind just so they don't get used
  - LongLat: GenericTable.Coordinate
  - ZipCode: GenericTable.ZipCode
# only used for filters
  - Country:
      field_type: GenericTable.Country
  - State:
      field_type: GenericTable.State
  - Timestamp:
      field_type: CreationTimestamp
      score: 100
  - Timestamp:
      field_type: DateTime
      score: 90
filters:
  - Nils: [is-null, [dimension, this]]
dashboard_filters:
  - Timestamp
  - State
  - Country
  - GenericCategoryMedium
groups:
  - Overview:
      title: Overview
  - Breakdowns:
      title: How the [[this]] is distributed
      comparison_title: How they compare by distribution
cards:
  - Count:
      title: Count
      visualization: scalar
      metrics: Count
      group: Overview
      width: 6
  - Nils:
      title: Null values
      visualization: scalar
      metrics: Count
      filters: Nils
      group: Overview
      width: 6
  - Distinct:
      title: Distinct values
      visualization: scalar
      metrics: Distinct
      group: Overview
      width: 6
  - Distribution:
      title: How the [[this]] is distributed
      visualization: bar
      metrics: Count
      dimensions: this
      group: Overview
      width: 12
  - ByNumber:
      title: "[[GenericNumber]] by [[this]]"
      visualization: bar
      metrics:
      - Sum
      - Avg
      dimensions: this
      group: Breakdowns
      height: 8
  - Crosstab:
      title: "[[this]] by [[GenericCategoryMedium]]"
      visualization: table
      metrics: Count
      dimensions:
      - this
      - GenericCategoryMedium
      group: Breakdowns
      width: 9
      height: 8
